---
title: Update
url: https://docs.vultr.com/products/network/cdn-pull-zone/management/update
description: Modify your servers configuration, including hostname, tags, user data, firewall groups, and other settings.
publish_date: 2025-04-03T16:57:33.872343Z
last_updated: 2026-05-26T20:15:58.618965Z
---

# How to Update Vultr CDN Pull Zones

Updating the label of a Vultr CDN Pull Zone is a straightforward process that enables you to better organize and manage your CDN configuration. This process enhances the clarity of your CDN management and ensures your Pull Zones are consistently aligned with your workflow.

Follow this guide to update the label of a Vultr CDN Pull Zone subscription on your Vultr account using the Vultr Console, API, or CLI.

=== "Vultr Console"

    1. Navigate to **Products**, click **CDN**, and then click **Pull Zones**.
    1. Click your target CDN Pull Zone subscription to open its management page.
    1. Click **Overview**.
    1. Under **CDN Information**, locate the **Name** field.
    1. Click the current name of the Pull Zone subscription and enter a new, appropriate name.
    1. Click the check-mark icon to save the changes.

=== "Vultr API"

    1. Send a `GET` request to the [**List CDN Pull Zones** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/list-pullzones) and note the target Pull Zone subscription's ID.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/pull-zones" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `PUT` request to the [**Update CDN Pull Zone** endpoint](https://www.vultr.com/api/#tag/CDNs/operation/update-pullzone) to update the target Pull Zone subscription's label.

        ```console
        $ curl "https://api.vultr.com/v2/cdns/pull-zones/{pullzone-id}" \
            -X PUT \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "label": "{updated_label}"
            }'
        ```

=== "Vultr CLI"

    1. List all available CDN Pull Zone subscriptions and note the target Pull Zone subscription's ID. 

        ```console
        $ vultr-cli cdn pull list
        ```

    1. Update the target Pull Zone subscription's label.

        ```console
        $ vultr-cli cdn pull update <pullzone-id> --label "<updated_label>"
        ```